UARM Upgrade to v12.6 fails with error "unable to initialise etpki"

Document ID : KB000004407
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

When upgrading UAR 12.5.x to version 12.6.x you may encounter error: "Unable to initialise etpki" during the upgrade process.

This will cause the upgrade to stop running and the igateway process will not be able to start.

Environment:
User Activity Reporting 12.6.x
Cause:

In some instances the permissions for the CAPKI directory (/opt/CA/SharedComponents/CAPKI) can be incorrectly set. 

 

Resolution:

Check the permissions of the directory by running the following two commands:

cd /opt/CA/SharedComponents/CAPKI

ls -la 

The permissions for the directory should read: drwxr-xr-x

If the permissions are not set correctly please change them using the command: chmod -R 755 CAPKI

Run the: ls -la command again and confirm that the permissions now read: drwxr-xr-x 

Start the igateway process as root:

cd to $IGW_LOC

Run: ./S99igateway start

If the igateway process now starts successfully wait about 5 minutes for all of the igateway process to resume running then logon to the UAR UI and check to confirm that the Upgrade processes have resumed running.  

Additional Information:

If you encounter different problems or resetting the CAPKI directory permissions does not resolve the problem please open a support case with UAR Support.